File: INSTALL

package info (click to toggle)
prelude-correlator 4.1.1-2
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 1,056 kB
  • sloc: python: 1,686; sh: 34; makefile: 23
file content (37 lines) | stat: -rw-r--r-- 1,100 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
Installation Instructions
*************************

Copyright (C) 1994-1996, 1999-2002, 2004-2013 Free Software Foundation,
Inc.

   Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty provided the copyright
notice and this notice are preserved.  This file is offered as-is,
without warranty of any kind.

Dependencies
============

Build requires:

- python >= 2.6 (not python 3.x)
- python-setuptools

Run requires:

- python >= 2.6 (not python 3.x)
- python-netaddr
- python-setuptools
- libprelude with python bindings

Basic Installation
==================

   Briefly, the shell commands `python setup.py install' should
configure, build, and install this package. See the `README' file for
instructions specific to this package.  Some packages provide this
`INSTALL' file but do not implement all of the features documented
below.  The lack of an optional feature in a given package is not
necessarily a bug.

Go to https://www.prelude-siem.org/projects/prelude/wiki/InstallingPreludeCorrelator for more installation instructions.